sudo: sorry, you must have a tty to run sudo

sudo: sorry, you must have a tty to run sudo

We're using an old version of Upstart, on Centos, to manage stopping and starting our Node.js daemons, and one of the things the...

Ubuntu and webcams

I've had some debugging to do for work for a part of our site that uses webcams but I've been a bit hazey about...

Disk Quotas On Ubuntu

I've recently needed to add disk usage quotas to a server in order to limit how much data users can store so as not...

Keeping Linux Users In A MySQL Database With libpam-mysql On Ubuntu

I want to have a set of users on my Ubuntu 10.4 Lucid Lynx box managed by MySQL, rather than LDAP for a change...

Error: Could not stat() command file ‘/var/lib/nagios3/rw/nagios.cmd’!

I've been doing a lot of Nagios deployments recently, and this error always bites me, on all Ubuntu versions, including Hardy and Intrepid (haven't...

Configuring Tomcat 5.5 and Apache 2 with mod_jk

mod_jk is a conduit between a web server and Tomcat, it supports a variety of web servers including IIS. Using mod_jk to put Apache...

High availability with LVS using LVSadmin

The Linux Virtual Server is a highly scalable and highly available server built on a cluster of real servers, with the load balancer running...

File Roller and 7zip

I recently needed to extract a file with the new, popular 7zip compression, which Ubuntu's File Roller doesn't support out of the box. Enabling...

Turning CPAN modules in to deb with dh perl make

Some of our PERL tools require some CPAN modules that are not part of the standard Ubuntu distribution. It's obviously possible to install the...

Changing deb package architecture

We have several PHP applications and libraries incorrectly packaged for i386 rather than all, which means they wont install to our nice new shiny...

Instagram